Package: org.codehaus.groovy.tools.shell

## [Groovy] Interface Command

- Provides the interface required for command extensions.

  Authors:
    Jason Dillon
  Version:
    \$Id\$

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `Object` | `execute(List<String> args)`
    `List` | `getAliases()`
    `Completer` | `getCompleter()`
    `String` | `getDescription()`
    `String` | `getHelp()`
    `boolean` | `getHidden()`
    `String` | `getName()`
    `String` | `getShortcut()`
    `String` | `getUsage()`

- - ### Method Detail

    - #### Object execute(List<String> args)

    - #### List getAliases()

    - #### Completer getCompleter()

    - #### String getDescription()

    - #### String getHelp()

    - #### boolean getHidden()

    - #### String getName()

    - #### String getShortcut()

    - #### String getUsage()